﻿Option Strict Off
Public Class MAOJI_ERP_SYS
    Private Sub ShowNewForm(ByVal sender As Object, ByVal e As EventArgs) Handles NewWindowToolStripMenuItem.Click
        Dim ChildForm As New Form With {
            .MdiParent = Me
        }
        m_ChildFormNumber += 1 : ChildForm.Text = "視窗 " & m_ChildFormNumber : ChildForm.Show()
    End Sub
    Private Sub ExitToolsStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Close()
    End Sub
    Private Sub CascadeToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles CascadeToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.Cascade)
    End Sub
    Private Sub TileVerticalToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles TileVerticalToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.TileVertical)
    End Sub
    Private Sub TileHorizontalToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles TileHorizontalToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.TileHorizontal)
    End Sub
    Private Sub ArrangeIconsToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles ArrangeIconsToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.ArrangeIcons)
    End Sub
    Private Sub CloseAllToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles CloseAllToolStripMenuItem.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
    End Sub
    Private Sub ComboBox1下拉表單資料載入()
        SQL_公司選擇清單()
        公司名稱_cb.Items.Clear() : While (dr.Read()) : 公司名稱_cb.Items.Add(dr("公司名")) : End While : conn.Close()
    End Sub

    Private m_ChildFormNumber As Integer
    Private Sub MaoOrange_Hongji_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        '----------系統登入時抬頭資訊顯示---------------------------------------------------------------------------------------------------------------
        Me.Text = Me.Text & "  --  " & g_conn_type & "  --  " & gUserName & "  --  系統版本  :" & 版本
        ComboBox1下拉表單資料載入() : 公司名稱_cb.SelectedIndex = 1
        NewWindowToolStripMenuItem.Visible = False
        '----------系統登入權限執行---------------------------------------------------------------------------------------------------------------------
        資料庫系統管理_tsm.Enabled = CC(0) : 系統使用者管理_tsm.Enabled = CC(1) : 系統通用變數管理_tsm.Enabled = CC(2)
        系統編碼規則1_tsm.Enabled = CC(3) : 系統執行檔版本管理_tsm.Enabled = CC(4) : 簽名檔管理_tsm.Enabled = CC(33)

        '----------人事管理權限執行---------------------------------------------------------------------------------------------------------------------
        人事系統管理_tsm.Enabled = CC(6) : 員工資料表_tsm.Enabled = CC(7) : 人員ID卡系統配置設定_tsm.Enabled = CC(8)

        '----------人事管理權限執行---------------------------------------------------------------------------------------------------------------------
        總務系統管理_tsm.Enabled = CC(36) : 車輛保養紀錄表_tsm.Enabled = CC(37)

        '----------業務管理權限執行---------------------------------------------------------------------------------------------------------------------
        業務系統管理_tsm.Enabled = CC(9) : 客戶資料管理_tsm.Enabled = CC(10) : 銷售控制表_tsm.Enabled = CC(17)
        出貨單申請_tsm.Enabled = CC(17) : 出貨確認_tsm.Enabled = CC(17) : 訂單管理控制表_tsm.Enabled = CC(38)
        訂單採購需求申請_tsm.Enabled = CC(39) : 訂單出貨控制表_tsm.Enabled = CC(40) : 零售客戶記錄表_tsm.Enabled = CC(42)
        維修單申請_tsm.Enabled = CC(48) : 維修單出庫確認_tsm.Enabled = CC(49) : 銷售退貨申請_tsm.Enabled = CC(53)
        銷售退貨清單_tsm.Enabled = CC(54) : 銷售退貨確認_tsm.Enabled = CC(55)

        '----------生產管理權限執行---------------------------------------------------------------------------------------------------------------------
        生產系統管理_tsm.Enabled = CC(15) : 生產控制表_tsm.Enabled = CC(20) : 生產確認_tsm.Enabled = CC(21)
        生產入庫_tsm.Enabled = CC(22)

        '----------採購管理權限執行---------------------------------------------------------------------------------------------------------------------
        採購系統管理_tsm.Enabled = CC(11) : 供應商資料管理_tsm.Enabled = CC(12) : 採購控制表_tsm.Enabled = CC(23)
        採購單申請_tsm.Enabled = CC(24) : 訂單採購需求申請1_tsm.Enabled = CC(39) : 採購退貨申請_tsm.Enabled = CC(50)
        採購退貨清單_tsm.Enabled = CC(51) : 採購退貨確認_tsm.Enabled = CC(52)

        '----------倉儲管理權限執行---------------------------------------------------------------------------------------------------------------------
        倉儲系統管理_tsm.Enabled = CC(13) : 倉儲控制表_tsm.Enabled = CC(25) : 倉儲入庫驗收_tsm.Enabled = CC(26)
        物料資料庫_tsm.Enabled = CC(14) : 倉儲分區控制表_tsm.Enabled = CC(34) : 倉儲庫存清單_tsm.Enabled = CC(41)
        盤盈盤損控制表_tsm.Enabled = CC(43) : 盤盈坢損確認倉儲調整_tsm.Enabled = CC(44)

        '----------財務管理權限執行---------------------------------------------------------------------------------------------------------------------
        財務系統管理_tsm.Enabled = CC(16) : 現金收支單申請_tsm.Enabled = CC(27) : 財務收支單審核_tsm.Enabled = CC(29)
        財務收支單一覽表_tsm.Enabled = CC(30) : 財務收支單_對帳表_tsm.Enabled = CC(31) : 營運成本收支決算表_tsm.Enabled = CC(32)
        營運狀態彙總檢視表_tsm.Enabled = CC(45) : 業務佣金計算_tsm.Enabled = CC(46) : 司機佣金計算_tsm.Enabled = CC(47)
        應收帳款控制表_tsm.Enabled = CC(56) : 應付賬款控制表_tsm.Enabled = CC(57) : 支票收支單申請_tsm.Enabled = CC(58)
        票務控制表_tsm.Enabled = CC(59)
    End Sub
    Private Sub MDIParentbreak_Unload(sender As Object, e As EventArgs) Handles MyBase.Closing
        LoginForm1.Close()
    End Sub
    Private Sub MDIParentbreak_SIZE(sender As Object, e As EventArgs) Handles MyBase.SizeChanged
        Me.BackgroundImage = My.Resources._1980X1010 : Me.BackgroundImageLayout = 3
    End Sub
    Private Sub ComboBox2_SelectedIndexChanged(sender As Object, e As EventArgs) Handles 公司名稱_cb.SelectedIndexChanged
        PA = 公司名稱_cb.Text : SQL_公司基本資料宣告()
        If dr.Read() Then : 公司編號 = dr("公司編號") : 公司電話 = dr("電話") : 公司統編 = dr("統編") : 公司地址 = dr("地址") : End If : conn.Close() : PA = ""
    End Sub
    Private Sub 系統使用者管理_tsm_Click(sender As Object, e As EventArgs) Handles 系統使用者管理_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 系統使用者管理.Show() : 系統使用者管理.BringToFront()
    End Sub
    Private Sub 系統通用變數管理_tsm_Click(sender As Object, e As EventArgs) Handles 系統通用變數管理_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 系統通用變數管理.Show() : 系統通用變數管理.BringToFront()
    End Sub
    Private Sub 系統編碼規則1_tsm_Click(sender As Object, e As EventArgs) Handles 系統編碼規則1_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 系統編碼規則_1.Show() : 系統編碼規則_1.BringToFront()
    End Sub
    Private Sub 系統執行檔版本管理_tsm_Click(sender As Object, e As EventArgs) Handles 系統執行檔版本管理_tsm.Click
        PA = "" : 系統執行檔版本管理.ShowDialog()
    End Sub
    Private Sub 人員ID卡系統配置設定_tsm_Click(sender As Object, e As EventArgs) Handles 人員ID卡系統配置設定_tsm.Click
        PA = "" : 員工ID卡系統配置設定.ShowDialog()
    End Sub
    Private Sub 員工資料表_tsm_Click_1(sender As Object, e As EventArgs) Handles 員工資料表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 員工資料表.Show() : 員工資料表.BringToFront()
    End Sub
    Private Sub 客戶資料管理_tsm_Click(sender As Object, e As EventArgs) Handles 客戶資料管理_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 客戶資料管理.Show() : 客戶資料管理.BringToFront()
    End Sub
    Private Sub 供應商資料管理_tsm_Click(sender As Object, e As EventArgs) Handles 供應商資料管理_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 供應商資料管理.Show() : 供應商資料管理.BringToFront()
    End Sub
    Private Sub 物料資料庫_tsm_Click(sender As Object, e As EventArgs) Handles 物料資料庫_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 物料資料庫.Show() : 物料資料庫.BringToFront()
    End Sub
    Private Sub 營運成本支付申請_tsm_Click(sender As Object, e As EventArgs) Handles 現金收支單申請_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 現金收支單申請.Show() : 現金收支單申請.BringToFront()
    End Sub
    Private Sub 營運費用支付審核_tsm_Click(sender As Object, e As EventArgs) Handles 財務收支單審核_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 財務收支單審核.Show() : 財務收支單審核.BringToFront()
    End Sub
    Private Sub 營運費用支付單一覽表_tsm_Click(sender As Object, e As EventArgs) Handles 財務收支單一覽表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 財務收支單一覽表.Show() : 財務收支單一覽表.BringToFront()
    End Sub
    Private Sub 營運成本收支單對帳表_tsm_Click(sender As Object, e As EventArgs) Handles 財務收支單_對帳表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 財務收支單_對帳表.Show() : 財務收支單_對帳表.BringToFront()
    End Sub
    Private Sub 採購單申請_tsm_Click(sender As Object, e As EventArgs) Handles 採購單申請_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 採購單申請.Show() : 採購單申請.BringToFront()
    End Sub
    Private Sub 倉儲入庫驗收_tsm_Click(sender As Object, e As EventArgs) Handles 倉儲入庫驗收_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 倉儲入庫驗收.Show() : 倉儲入庫驗收.BringToFront()
    End Sub
    Private Sub 倉儲控制表_tsm_Click(sender As Object, e As EventArgs) Handles 倉儲控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 倉儲控制表.Show() : 倉儲控制表.BringToFront()
    End Sub
    Private Sub 出貨單申請_tsm_Click(sender As Object, e As EventArgs) Handles 出貨單申請_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 出貨單申請.Show() : 出貨單申請.BringToFront()
    End Sub
    Private Sub 出貨確認_tsm_Click(sender As Object, e As EventArgs) Handles 出貨確認_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 出貨確認.Show() : 出貨確認.BringToFront()
    End Sub
    Private Sub 銷售控制表_tsm_Click(sender As Object, e As EventArgs) Handles 銷售控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 銷售控制表.Show() : 銷售控制表.BringToFront()
    End Sub
    Private Sub 生產確認_tsm1_Click(sender As Object, e As EventArgs) Handles 生產確認_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 生產確認.Show() : 生產確認.BringToFront()
    End Sub
    Private Sub 生產控制表_tsm_Click(sender As Object, e As EventArgs) Handles 生產控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 生產控制表.Show() : 生產控制表.BringToFront()
    End Sub
    Private Sub 採購控制表_tsm_Click(sender As Object, e As EventArgs) Handles 採購控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 採購控制表.Show() : 採購控制表.BringToFront()
    End Sub
    Private Sub 生產入庫_tsm_Click(sender As Object, e As EventArgs) Handles 生產入庫_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 生產入庫.Show() : 生產入庫.BringToFront()
    End Sub
    Private Sub 營運報表_tsm_Click(sender As Object, e As EventArgs) Handles 營運成本收支決算表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 營運成本收支_決算表.Show() : 營運成本收支_決算表.BringToFront()
    End Sub
    Private Sub 簽名檔管理_tsm_Click(sender As Object, e As EventArgs) Handles 簽名檔管理_tsm.Click
        PA = "" : 簽名檔管理.ShowDialog()
    End Sub
    Private Sub 倉儲分區控制表_tsm_Click(sender As Object, e As EventArgs) Handles 倉儲分區控制表_tsm.Click
        PA = "" : 倉儲分區控制表.ShowDialog()
    End Sub
    Private Sub 車輛保養紀錄表_tsm_Click(sender As Object, e As EventArgs) Handles 車輛保養紀錄表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 車輛保養紀錄表.Show() : 車輛保養紀錄表.BringToFront()
    End Sub
    Private Sub 訂單資料輸入_tsm_Click(sender As Object, e As EventArgs) Handles 訂單管理控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 訂單管理控制表.Show() : 訂單管理控制表.BringToFront()
    End Sub
    Private Sub 訂單採購需求申請_tsm_Click(sender As Object, e As EventArgs) Handles 訂單採購需求申請_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 訂單採購需求申請.Show() : 訂單採購需求申請.BringToFront()
    End Sub
    Private Sub 訂單採購需求申請_tsm1_Click(sender As Object, e As EventArgs) Handles 訂單採購需求申請1_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 訂單採購需求申請.Show() : 訂單採購需求申請.BringToFront()
    End Sub
    Private Sub 訂單控制表_tsm_Click(sender As Object, e As EventArgs) Handles 訂單出貨控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 訂單出貨控制表.Show() : 訂單出貨控制表.BringToFront()
    End Sub
    Private Sub 倉儲庫存清單_tsm_Click(sender As Object, e As EventArgs) Handles 倉儲庫存清單_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 倉儲庫存清單.Show() : 倉儲庫存清單.BringToFront()
    End Sub
    Private Sub 零售客戶記錄表_tsm_Click(sender As Object, e As EventArgs) Handles 零售客戶記錄表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 零售客戶記錄表.Show() : 零售客戶記錄表.BringToFront()
    End Sub
    Private Sub 盤盈盤損控制表_tsm_Click(sender As Object, e As EventArgs) Handles 盤盈盤損控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 盤盈盤損控制表.Show() : 盤盈盤損控制表.BringToFront()
    End Sub
    Private Sub 盤盈坢損確認倉儲調整_tsm_Click(sender As Object, e As EventArgs) Handles 盤盈坢損確認倉儲調整_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 盤盈盤損確認.Show() : 盤盈盤損確認.BringToFront()
    End Sub
    Private Sub 營運狀態彙總檢視表_tsm_Click(sender As Object, e As EventArgs) Handles 營運狀態彙總檢視表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 營運狀態彙總_檢視表.Show() : 營運狀態彙總_檢視表.BringToFront()
    End Sub
    Private Sub 業務佣金計算_tsm_Click(sender As Object, e As EventArgs) Handles 業務佣金計算_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 業務佣金計算.Show() : 業務佣金計算.BringToFront()
    End Sub
    Private Sub 司機佣金計算_tsm_Click(sender As Object, e As EventArgs) Handles 司機佣金計算_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 司機佣金計算.Show() : 司機佣金計算.BringToFront()
    End Sub
    Private Sub 維修單申請_tsm_Click(sender As Object, e As EventArgs) Handles 維修單申請_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 維修單申請.Show() : 維修單申請.BringToFront()
    End Sub
    Private Sub 維修單出庫確認_tsm_Click(sender As Object, e As EventArgs) Handles 維修單出庫確認_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 維修單出庫確認.Show() : 維修單出庫確認.BringToFront()
    End Sub
    Private Sub 採購退貨申請_tsm_Click(sender As Object, e As EventArgs) Handles 採購退貨申請_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 採購退貨申請.Show() : 採購退貨申請.BringToFront()
    End Sub
    Private Sub 採購退貨清單_tsm_Click(sender As Object, e As EventArgs) Handles 採購退貨清單_tsm.Click
        'PA = "" : 採購退貨清單.Show() : 採購退貨清單.BringToFront()
    End Sub
    Private Sub 採購退貨確認_tsm_Click(sender As Object, e As EventArgs) Handles 採購退貨確認_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 採購退貨確認.Show() : 採購退貨確認.BringToFront()
    End Sub
    Private Sub 銷售退貨申請_tsm_Click(sender As Object, e As EventArgs) Handles 銷售退貨申請_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 銷售退貨申請.Show() : 銷售退貨申請.BringToFront()
    End Sub
    Private Sub 銷售退貨清單_tsm_Click(sender As Object, e As EventArgs) Handles 銷售退貨清單_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 銷售退貨清單.Show() : 銷售退貨清單.BringToFront()
    End Sub
    Private Sub 銷售退貨確認_tsm_Click(sender As Object, e As EventArgs) Handles 銷售退貨確認_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 銷售退貨確認.Show() : 銷售退貨確認.BringToFront()
    End Sub
    Private Sub 應付賬款_tsm_Click(sender As Object, e As EventArgs) Handles 應付賬款控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 應付賬款控制表.Show() : 應付賬款控制表.BringToFront()
    End Sub
    Private Sub 應收帳款_tsm_Click(sender As Object, e As EventArgs) Handles 應收帳款控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 應收帳款控制表.Show() : 應收帳款控制表.BringToFront()
    End Sub
    Private Sub 支票收支單申請_tsm_Click(sender As Object, e As EventArgs) Handles 支票收支單申請_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 支票收支單申請.Show() : 支票收支單申請.BringToFront()
    End Sub
    Private Sub 票務控制表_tsm_Click(sender As Object, e As EventArgs) Handles 票務控制表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        PA = "" : 票務控制表.Show() : 票務控制表.BringToFront()
    End Sub
End Class
